<p class="note-text">
  Note: You can choose maximum 2 players in "Player OFF" filter.
</p>
<div>
  <p-table 
  [value]="statsInOut" 
  [rows]="30" 
  [showCurrentPageReport]="true" 
  [tableStyle]="{ 'min-width': '50rem' }"
  [loading]="false" 
  [scrollable]="true" 
  scrollHeight="flex" 
  styleClass="p-datatable-sm pvp-table"
  [loading]="loading"
  >

  <ng-template pTemplate="caption">
    <div>
      <form *ngIf="seasons && teams" class="flex" [formGroup]="formGroup">
        <span class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" [filter]="true" appendTo="body" formControlName="teamId" [options]="teams" placeholder="Select a playerFilter" inputId="float-label" optionLabel="name"></p-dropdown>
          <label class="label-mobile" for="float-label">Team</label>
        </span>

        <span class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" appendTo="body" formControlName="gameFilter" [options]="gameFilter" placeholder="Select a teamFilter" optionLabel="name" [filter]="true"></p-dropdown>
          <label class="label-mobile" for="float-label">Game Filter</label>
        </span>

        <span class="p-float-label">
          <p-multiSelect 
            [style]="{ width: '11rem' }" [selectionLimit]="2" appendTo="body" formControlName="excludePlayers" [options]="teamPlayers" placeholder="Player OFF" optionLabel="name"
            >
          </p-multiSelect>
          <label class="label-mobile" for="float-label">Player OFF</label>
        </span>
        
        <span class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" appendTo="body" formControlName="season" [options]="seasons" placeholder="Season"></p-dropdown>
          <label class="label-mobile" for="float-label">Season</label>
        </span>
        
      </form>
    </div>
  </ng-template>
  

  <ng-template pTemplate="header">
    <tr>
      <th pSortableColumn="averages.name" style="width:20%">Player
        <p-sortIcon field="averages.name"></p-sortIcon>
      </th>
      <!-- <th pSortableColumn="opponents" style="width:20%">Opponents
        <p-sortIcon field="opponents"></p-sortIcon>
      </th> -->
      <th pSortableColumn="averages.g">G
        <p-sortIcon field="averages.g"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.mp">Mp
        <p-sortIcon field="averages.mp"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.pts">Pts
        <p-sortIcon field="averages.pts"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.trb">Trb
        <p-sortIcon field="averages.trb"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.drb">Drb
        <p-sortIcon field="averages.drb"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.orb">Orb
        <p-sortIcon field="averages.orb"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.ast">Ast
        <p-sortIcon field="averages.ast"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.fg">Fg
        <p-sortIcon field="averages.fg"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.fga">Fga
        <p-sortIcon field="averages.fga"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.fgPct">FgPct
        <p-sortIcon field="averages.fgPct"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.fg3">Fg3
        <p-sortIcon field="averages.fg3"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.fg3a">Fg3a
        <p-sortIcon field="averages.fg3a"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.fg3Pct">Fg3Pct
        <p-sortIcon field="averages.fg3Pct"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.ft">Ft
        <p-sortIcon field="averages.ft"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.fta">Fta
        <p-sortIcon field="averages.fta"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.ftPct">FtPct
        <p-sortIcon field="averages.ftPct"></p-sortIcon>
      </th>
      <th pSortableColumn="averages.usg">Usg
        <p-sortIcon field="averages.usg"></p-sortIcon>
      </th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-stats let-rowIndex="rowIndex">
    <tr>
      <!-- <td [attr.rowspan]="playerVsPlayer.length">{{ playerName }}</td> -->
      <!-- <td style="border: unset;">{{ rowIndex === 0 ? playerName : '' }}</td> -->
      <!-- <td>{{ playerName }}</td> -->
      <td>
        {{ stats.averages.name }}
      </td>
      <td>{{ stats.averages.g | number : '1.1-1'}}</td>
      <td>{{ stats.averages.mp | number : '1.1-1'}}</td>
      <td>{{ stats.averages.pts | number : '1.1-1' }}</td>
      <td>{{ stats.averages.trb | number : '1.1-1' }}</td>
      <td>{{ stats.averages.drb | number : '1.1-1' }}</td>
      <td>{{ stats.averages.orb | number : '1.1-1' }}</td>
      <td>{{ stats.averages.ast | number : '1.1-1' }}</td>
      <td>{{ stats.averages.fg | number : '1.1-1' }}</td>
      <td>{{ stats.averages.fga | number : '1.1-1' }}</td>
      <td>{{ stats.averages.fgPct | number : '1.1-1' }}</td>
      <td>{{ stats.averages.fg3 | number : '1.1-1' }}</td>
      <td>{{ stats.averages.fg3a | number : '1.1-1' }}</td>
      <td>{{ stats.averages.fg3Pct | number : '1.1-1' }}</td>
      <td>{{ stats.averages.ft | number : '1.1-1' }}</td>
      <td>{{ stats.averages.fta | number : '1.1-1' }}</td>
      <td>{{ stats.averages.ftPct | number : '1.1-1' }}</td>
      <td>{{ stats.averages.usg | number : '1.1-1' }}</td>
    </tr>
  </ng-template>
</p-table>

  <p-table 
  [value]="statsInOutAllGames" 
  [rows]="30" 
  [showCurrentPageReport]="true" 
  [tableStyle]="{ 'min-width': '50rem' }"
  [loading]="loading" 
  [scrollable]="true" 
  scrollHeight="flex" 
  styleClass="p-datatable-sm pvp-table"
  dataKey="index"
  (onRowExpand)="onDateClick($event)"
  (onRowCollapse)="onRowCollapse($event)"
  >
  <ng-template pTemplate="header">
    <tr>
      <th style="width:20%">Player</th>
      <!-- <th pSortableColumn="opponents" style="width:20%">Opponents
        <p-sortIcon field="opponents"></p-sortIcon>
      </th> -->
      <th>Date</th>
      <th>Opponent</th>
      <th>Mp</th>
      <th>Pts</th>
      <th>Trb</th>
      <th>Drb</th>
      <th>Orb</th>
      <th>Ast</th>
      <th>Fg</th>
      <th>Fga</th>
      <th>FgPct</th>
      <th>Fg3</th>
      <th>Fg3a</th>
      <th>Fg3Pct</th>
      <th>Ft</th>
      <th>Fta</th>
      <th>FtPct</th>
      <th>Usg</th>

    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-stats >
    <tr>
      <!-- <td [attr.rowspan]="playerVsPlayer.length">{{ playerName }}</td> -->
      <!-- <td style="border: unset;">{{ rowIndex === 0 ? playerName : '' }}</td> -->
      <!-- <td>{{ playerName }}</td> -->
      <td *ngIf="stats.first" [attr.rowspan]="stats.occurrence" style="vertical-align: baseline;">
        {{ stats.player }}
      </td>
      <td class="date-td" [pRowToggler]="stats"><a>{{ stats.date }}</a></td>
      <td>{{ stats.opponent }}</td>
      <!-- <td>{{ stats.home ? 'Home' : 'Away' }}</td> -->
      <!-- <td>{{ stats.starter ? 'S' : '' }}</td> -->
      <!-- <td>{{ stats.g | number : '1.1-1'}}</td> -->
      <td>{{ stats.mp | number : '1.1-1'}}</td>
      <td>{{ stats.pts | number : '1.1-1' }}</td>
      <td>{{ stats.trb | number : '1.1-1' }}</td>
      <td>{{ stats.drb | number : '1.1-1' }}</td>
      <td>{{ stats.orb | number : '1.1-1' }}</td>
      <td>{{ stats.ast | number : '1.1-1' }}</td>
      <td>{{ stats.fg | number : '1.1-1' }}</td>
      <td>{{ stats.fga | number : '1.1-1' }}</td>
      <td>{{ stats.fgPct | number : '1.1-1' }}</td>
      <td>{{ stats.fg3 | number : '1.1-1' }}</td>
      <td>{{ stats.fg3a | number : '1.1-1' }}</td>
      <td>{{ stats.fg3Pct | number : '1.1-1' }}</td>
      <td>{{ stats.ft | number : '1.1-1' }}</td>
      <td>{{ stats.fta | number : '1.1-1' }}</td>
      <td>{{ stats.ftPct | number : '1.1-1' }}</td>
      <td>{{ stats.usg | number : '1.1-1' }}</td>
    </tr>
  </ng-template>

  <ng-template pTemplate="rowexpansion">
    <tr>
      <td colspan="16">
        <app-game-details [gameDetails]="gameDetails"></app-game-details>
      </td>
    </tr>
  </ng-template>

  <ng-template pTemplate="emptymessage">
    <tr rowspan="5">
        <td colspan="20">No data found.</td>
    </tr>
  </ng-template>
</p-table>


</div>
